package com.kio4.servicio;

import android.app.Service;
import android.content.Intent;
import android.media.MediaPlayer;
import android.os.IBinder;
import android.provider.Settings;
import androidx.annotation.Nullable;

import android.net.Uri;

public class NewService extends Service {
  
    // declaring object of MediaPlayer
    private MediaPlayer player;

    @Override
  
    // execution of service will start
    // on calling this method
    public int onStartCommand(Intent intent, int flags, int startId) {
  
        // creating a media player which
        // will play the audio of Default
        // ringtone in android device
        // player = MediaPlayer.create(this, Settings.System.DEFAULT_RINGTONE_URI );
		   player = MediaPlayer.create(this, Uri.parse("file://"+ GetFileAsd("silencio.mp3")));
  
        // providing the boolean
        // value as true to play
        // the audio on loop
           player.setLooping(true);
  
        // starting the process
           player.start();
  
        // returns the status
        // of the program
        return START_STICKY;
    }
  
    @Override
  
    // execution of the service will
    // stop on calling this method
    public void onDestroy() {
        super.onDestroy();
  
        // stopping the process
        player.stop();
    }
  
    @Nullable
    @Override
    public IBinder onBind(Intent intent) {
        return null;
    }
	
//////////////////////////////// GET PATH of silencio.mp3 ///////////
public String GetFileAsd(String NameFile) {
return Servicio.context.getExternalFilesDir(null).getAbsolutePath() + "/" + NameFile;
}	
	
}  // => Fin